# AbstractViewHolder

abstract class AbstractViewHolder <in T >(view: View ) : RecyclerView.ViewHolder (source)

#### Inheritors

AbstractStandardViewHolder

## Constructors

AbstractViewHolder
Link copied to clipboard
constructor(view: View )

## Properties

itemView
Link copied to clipboard
@ NonNull
val itemView : View

## Functions

getAbsoluteAdapterPosition
Link copied to clipboard
fun getAbsoluteAdapterPosition (): Int
getBindingAdapter
Link copied to clipboard
@ Nullable
fun getBindingAdapter (): RecyclerView.Adapter <out RecyclerView.ViewHolder >?
getBindingAdapterPosition
Link copied to clipboard
fun getBindingAdapterPosition (): Int
getItemId
Link copied to clipboard
fun getItemId (): Long
getItemViewType
Link copied to clipboard
fun getItemViewType (): Int
getLayoutPosition
Link copied to clipboard
fun getLayoutPosition (): Int
getOldPosition
Link copied to clipboard
fun getOldPosition (): Int
isRecyclable
Link copied to clipboard
fun isRecyclable (): Boolean
onBind
Link copied to clipboard
abstract fun onBind (item: T )
setIsRecyclable
Link copied to clipboard
fun setIsRecyclable (p0: Boolean )
toString
Link copied to clipboard
open override fun toString (): String